<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepProcessMessage Method
DatabaseEnvironment Class See Also Send Feedback

Process an incoming replication message sent by a member of the replication group to the local database environment.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public RepProcMsgResult RepProcessMessage(
    	DatabaseEntry control,
    	DatabaseEntry rec,
    	int envid
    )

Visual Basic (Declaration)

    Public Function RepProcessMessage ( _
    	control As DatabaseEntry, _
    	rec As DatabaseEntry, _
    	envid As Integer _
    ) As RepProcMsgResult

Visual C++

    public:
    RepProcMsgResult^ RepProcessMessage(
    	DatabaseEntry^ control,
    	DatabaseEntry^ rec,
    	int envid
    )

#### Parameters

control
  Type: BerkeleyDB..::.DatabaseEntry
  A copy of the control parameter specified by Berkeley DB on the sending environment.

rec
  Type: BerkeleyDB..::.DatabaseEntry
  A copy of the rec parameter specified by Berkeley DB on the sending environment.

envid
  Type: System..::.Int32
  The local identifier that corresponds to the environment that sent the message to be processed (see Replication environment IDs in the Programmer's Reference Guide for more information)..

#### Return Value

The result of processing a message

# Remarks

RepProcessMessage is not called by most replication applications. It should only be called by applications implementing their own network transport layer, explicitly holding replication group elections and handling replication messages outside of the replication manager framework.

For implementation reasons, all incoming replication messages must be processed using the same DatabaseEnvironment object. It is not required that a single thread of control process all messages, only that all threads of control processing messages use the same object.

Before calling this method, the RepTransport delegate must already have been configured to send replication messages.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace